Subject: [alpine-aports] [PATCH] testing/iodine: new aport

From: Guy Taylor <[email-masked]>
Date: Tue, 29 Nov 2016 01:12:30 +0000

http://code.kryo.se/iodine/
IP over DNS tunnel
---
 testing/iodine/APKBUILD | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)
 create mode 100644 testing/iodine/APKBUILD

diff --git a/testing/iodine/APKBUILD b/testing/iodine/APKBUILD
new file mode 100644
index 0000000..2388f47
--- /dev/null
+++ b/testing/iodine/APKBUILD
@@ -0,0 +1,27 @@
+pkgname=iodine
+pkgver=0.7.0
+pkgrel=0
+pkgdesc="IP over DNS tunnel"
+url="http://code.kryo.se/iodine/"
+arch="all"
+license="ISC"
+depends=""
+makedepends="linux-headers"
+subpackages=""
+source="http://code.kryo.se/iodine/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+build() {
+	cd "$_builddir"
+	CFLAGS="$CLAGS -D__GLIBC__=1" make || return 1
+}
+
+
+package() {
+        cd "$_builddir"
+	make DESTDIR="$pkgdir" prefix="" install
+}
+
+md5sums="fdbf3b81cd69caf5230d76a8b039fd99  iodine-0.7.0.tar.gz"
+sha256sums="ad2b40acf1421316ec15800dcde0f587ab31d7d6f891fa8b9967c4ded93c013e  iodine-0.7.0.tar.gz"
+sha512sums="49fe4f0cf614d3400cbfdade84eb4f50430f8f92004f663a08acc1514e8ff342443a8c3f855828bbca1864a3fafe419b5256f8a80fc4024b364d4c8c953fc0ec  iodine-0.7.0.tar.gz"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Guy Taylor <[email-masked]>
Date: Thu, 1 Dec 2016 22:51:41 +0000

http://code.kryo.se/iodine/
IP over DNS tunnel
---
Changes v1 -> v2:
 - Add Contributor tag
 - Add empty Maintainer tag
 - Rename "_builddir" var to "builddir"

Questions:
 - Should I use "_builddir" or "builddir"? There is differing ussages in the examples.
 -- "builddir"  https://wiki.alpinelinux.org/wiki/APKBUILD_examples:Simple
 -- "_builddir" https://wiki.alpinelinux.org/wiki/APKBUILD_examples:Multiple_Subpackages
 - Maintainer?
 - Is "ISC" a valid license short code or should it be "custom"?
 - I have contacted the devlopers about fixing the "__GLIBC__=1" requirment/hack.
   What is the normal way around glibc/musl "#if defined" issues?

 testing/iodine/APKBUILD | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)
 create mode 100644 testing/iodine/APKBUILD

index 0000000..c1ca4e7
@@ -0,0 +1,29 @@
+# Contributor: Guy Taylor <[email-masked]>
+# Maintainer:
+builddir="$srcdir/$pkgname-$pkgver"
+	cd "$builddir"
+        cd "$builddir"

---